%define oname	dxx-rebirth

Name:           d2x-rebirth
Version:        20210623
Release:        %mkrel 1
Summary:        Descent 2 eXtended Rebirth
License:        GPL 
Packager:       Agent Smith <ruidobranco@yahoo.com.br>
Group:          Games/Arcade
URL:            https://www.dxx-rebirth.com/
Source:         %{oname}_%{version}-src.tar.xz


BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	nasm
BuildRequires:	scons
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}SDL_sound1.0-devel
BuildRequires:	%{_lib}physfs-devel
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	unzip
Requires:	%{_lib}physfs2
Conflicts:	%name < %version


%description
D2X-Rebirth is a Source Port of the Descent ][ Engine and provides
classical gameplay combined with OpenGL graphics and effects,
a bunch of improvements and new features.


%prep
%setup -q -n %{oname}_%{version}-src
dos2unix -c ascii d2x-rebirth/d2x.ini d2x-rebirth/*.txt
chmod 644 d2x-rebirth/d2x.ini d2x-rebirth/*.txt

%build
scons %{?_smp_mflags} \
	sharepath=%{_datadir}/games/descent2 \
	opengl=1 \
	sdlmixer=1 \
	d2x=1

%install
# binaries
install -dm 755 %{buildroot}%{_bindir}
install -m 755 d2x-rebirth/d2x-rebirth %{buildroot}%{_bindir}

# man-pages
install -dm 755 %{buildroot}%{_mandir}/man1/
install -m 644 d2x-rebirth/libmve/*.1 %{buildroot}%{_mandir}/man1/

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 d2x-rebirth/d2x-rebirth.xpm %{buildroot}%{_datadir}/pixmaps

# menu
install -dm 755 %{buildroot}%{_datadir}/applications
install -m 644 d2x-rebirth/%{name}.desktop %{buildroot}%{_datadir}/applications

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}_%{version}-src

%files
%doc README.md d2x-rebirth/*.txt
%{_bindir}/d2x-rebirth
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.xpm


%changelog

* Mon Jul 19 2021 Agent Smith <ruidobranco@yahoo.com.br> d2x-rebirth-20210623-1pclos2021.rpm
- Updated the package, with latest sources. 

* Mon May 03 2021 Agent Smith <ruidobranco@yahoo.com.br> d2x-rebirth-20210422-1pclos2021.rpm
- Updated the package, with latest sources. 

* Sun Oct 11 2020 tex - 20200601-2pclos2020
- fix rpm group

* Mon Jun 15 2020 Agent Smith <ruidobranco@yahoo.com.br> d2x-rebirth-20200601-1pclos2020.rpm
- Updated the package, with latest sources.

* Thu Oct 02 2014 Agent Smith <ruidobranco@yahoo.com.br> d2x-rebirth-0.58.1-1pclos2014.rpm
- Created the package.

